#ifndef HAAR_H__
#define HAAR_H__

#include <stdint.h>
#include <stddef.h>

#ifdef __cplusplus
extern "C" {
#endif

// Lifting style, in-place transform.
void linelet_haar_dwt_forward(int16_t * restrict lp, int16_t * restrict hp, unsigned width);
void linelet_haar_dwt_inverse(int16_t * restrict lp, int16_t * restrict hp, unsigned width);

#ifdef __cplusplus
}
#endif

#endif

