#ifndef TESTS_H__
#define TESTS_H__

#include <stdint.h>
#include <string.h>
#include "convert.h"
#include "legall.h"
#include "linelet.h"
#include "image.h"
#include "rate_allocator.h"
#include "pack.h"
#include "linelet_format.h"
#include "quantizer.h"
#include "prepostfilter.h"

void tests_run_all(void);

int convert_test(void);
int legall_test(void);
int haar_test(void);
int pack_unary(void);
int pack_u8(void);
int pack_s16(void);
int encoder_test(void);
int encoder_range_test(void);
int rate_allocator_test(void);
int format_test(void);
int format_test_422(void);
int quantizer_test(void);
int prepostfilter_test(void);

#endif

