#ifndef LINELET_PREPOSTFILTER_H__
#define LINELET_PREPOSTFILTER_H__

#include <stdint.h>
#include <stddef.h>

#ifdef __cplusplus
extern "C" {
#endif

void linelet_prefilter_2(
      int16_t * restrict l0,
      int16_t * restrict l1,
      unsigned samples);

void linelet_postfilter_2(
      int16_t * restrict l0,
      int16_t * restrict l1,
      unsigned samples);

void linelet_prefilter_4(
      int16_t * restrict l0,
      int16_t * restrict l1,
      int16_t * restrict l2,
      int16_t * restrict l3,
      unsigned samples);

void linelet_postfilter_4(
      int16_t * restrict l0,
      int16_t * restrict l1,
      int16_t * restrict l2,
      int16_t * restrict l3,
      unsigned samples);

void linelet_prefilter_8(
      int16_t * restrict l0,
      int16_t * restrict l1,
      int16_t * restrict l2,
      int16_t * restrict l3,
      int16_t * restrict l4,
      int16_t * restrict l5,
      int16_t * restrict l6,
      int16_t * restrict l7,
      unsigned samples);

void linelet_postfilter_8(
      int16_t * restrict l0,
      int16_t * restrict l1,
      int16_t * restrict l2,
      int16_t * restrict l3,
      int16_t * restrict l4,
      int16_t * restrict l5,
      int16_t * restrict l6,
      int16_t * restrict l7,
      unsigned samples);


#ifdef __cplusplus
}
#endif

#endif

