#include "haar.h"
#include "timer.h"

void linelet_haar_line_forward_c(int16_t *a, int16_t *b, unsigned samples)
{
   for (unsigned x = 0; x < samples; x++)
   {
      b[x] -= a[x];
      a[x] += (b[x] + 1) >> 1;
   }
}

void linelet_haar_line_inverse_c(int16_t *a, int16_t *b, unsigned samples)
{
   for (unsigned x = 0; x < samples; x++)
   {
      a[x] -= (b[x] + 1) >> 1;
      b[x] += a[x];
   }
}

